import type { AnyAction } from 'redux';
import type { CreateIndexSpec } from './create-index';
export declare const IN_PROGRESS_INDEXES_ADDED = "indexes/in-progress-indexes/IN_PROGRESS_INDEXES_ADDED";
export declare const IN_PROGRESS_INDEXES_REMOVED = "indexes/in-progress-indexes/IN_PROGRESS_INDEXES_REMOVED";
export declare const IN_PROGRESS_INDEXES_FAILED = "indexes/in-progress-indexes/IN_PROGRESS_INDEXES_FAILED";
export type InProgressIndex = {
    id: string;
    key: CreateIndexSpec;
    fields: {
        field: string;
        value: string | number;
    }[];
    name: string;
    ns: string;
    size: number;
    relativeSize: number;
    usageCount: number;
    extra: {
        status: 'inprogress' | 'failed';
        error?: string;
    };
};
export declare const INITIAL_STATE: InProgressIndex[];
export default function reducer(state: InProgressIndex[] | undefined, action: AnyAction): any[];
export declare const inProgressIndexAdded: (inProgressIndex: InProgressIndex) => {
    type: string;
    inProgressIndex: InProgressIndex;
};
export declare const inProgressIndexRemoved: (inProgressIndexId: string) => {
    type: string;
    inProgressIndexId: string;
};
export declare const inProgressIndexFailed: ({ inProgressIndexId, error, }: {
    inProgressIndexId: string;
    error: string;
}) => {
    type: string;
    inProgressIndexId: string;
    error: string;
};
//# sourceMappingURL=in-progress-indexes.d.ts.map